Bug 19825 - List of pending offline operations does not links to biblio
Summary: List of pending offline operations does not links to biblio
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-12-17 09:08 UTC by Josef Moravec
Modified: 2018-06-04 20:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19825: Make links to biblios on pending offline circulation page working again (1.71 KB, patch)
2017-12-17 09:25 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 19825: Make links to biblios on pending offline circulation page working again (1.78 KB, patch)
2018-01-16 01:13 UTC, Charlotte Cordwell
Details | Diff | Splinter Review
Bug 19825: Make links to biblios on pending offline circulation page working again (1.83 KB, patch)
2018-01-19 16:14 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2017-12-17 09:08:27 UTC
Although the pending offline operations page should link to affected biblios it does not.
Comment 1 Josef Moravec 2017-12-17 09:25:45 UTC
Created attachment 69838 [details] [review]
Bug 19825: Make links to biblios on pending offline circulation page working again

0) Do not apply the patch
1) Have pending offline circulation operations - you can use standalone
application, Firefox add-on or built-in offline circulatin client - it
does not matter in this case
2) Go to Circulation -> pending offline circulation actions
3) You see all barcode in red and without links - even if the item and
biblio existed
4) Apply the patch
5) Repeat 1-3, now you should see the links to biblio on existing items

Note: Don't add non-existent barcodes actions and payment actions unti
bug 19771 is not fixed
Comment 2 Charlotte Cordwell 2018-01-16 01:13:09 UTC
Created attachment 70529 [details] [review]
Bug 19825: Make links to biblios on pending offline circulation page working again

0) Do not apply the patch
1) Have pending offline circulation operations - you can use standalone
application, Firefox add-on or built-in offline circulatin client - it
does not matter in this case
2) Go to Circulation -> pending offline circulation actions
3) You see all barcode in red and without links - even if the item and
biblio existed
4) Apply the patch
5) Repeat 1-3, now you should see the links to biblio on existing items

Note: Don't add non-existent barcodes actions and payment actions unti
bug 19771 is not fixed

Signed-off-by: Charlotte Cordwell <charlotte.cordwell123@gmail.com>
Comment 3 Nick Clemens 2018-01-19 16:14:52 UTC
Created attachment 70761 [details] [review]
Bug 19825: Make links to biblios on pending offline circulation page working again

0) Do not apply the patch
1) Have pending offline circulation operations - you can use standalone
application, Firefox add-on or built-in offline circulatin client - it
does not matter in this case
2) Go to Circulation -> pending offline circulation actions
3) You see all barcode in red and without links - even if the item and
biblio existed
4) Apply the patch
5) Repeat 1-3, now you should see the links to biblio on existing items

Note: Don't add non-existent barcodes actions and payment actions unti
bug 19771 is not fixed

Signed-off-by: Charlotte Cordwell <charlotte.cordwell123@gmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2018-01-19 18:56:20 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-01-23 04:15:12 UTC
Awesome work all!

Pushed to Stable for 17.11.02
Comment 6 Fridolin SOMERS 2018-02-02 08:36:33 UTC
Pushed to 17.05.x for v17.05.09